## jade 1.2.1-maemo1

=== debian/changelog ===
jade (1.2.1-maemo1) unstable; urgency=low

  * Initial release for Maemo.

 -- Thomas Maass <mase@setho.org>  Wed, 23 Feb 2011 14:57:00 +0200
