=== debian/control ===
Source: jade
Section: text
Priority: optional
Maintainer: Thomas Maass <mase@setho.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.1.75), sgml-data (>= 1.3), m4, autotools-dev, dh-buildinfo

Package: sp
Architecture: any
Depends: ${shlibs:Depends}
Suggests: doc-base, sgml-data
Description: James Clark's SGML parsing tools
 This package is a collection of SGML/XML tools called SP.
 .
 These tools are used to parse, validate, and normalize SGML and XML
 files.  The central programs included in this package are 'nsgmls',
 which replaces sgmls, 'spam', 'spent', 'sgmlnorm', and 'sgml2xml'.
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/sp/

Package: libsp1c2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libsp1 (<= 1.3.4-1.2.1-43)
Conflicts: libsp1 (<= 1.3.4-1.2.1-43), jade (<< 1.2.1-43)
Description: Runtime library for James Clark's SP suite
 This is the SP suite's shared library runtime support.  This C++
 library contains entity management functions, parsing functions, and
 other functions useful for SGML/XML/DSSSL development.
 .
 This shared library is used by the sp and jade packages, among others.
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/sp/

Package: libsp1-dev
Architecture: any
Section: libdevel
Depends: ${libsp1c2:Version}
Replaces: sp-dev
Conflicts: sp-dev
Recommends: c++-compiler
Description: James Clark's SP suite, developer support
 This contains include files and the static library for libsp.
 This C++ library contains entity management functions, parsing functions,
 and other functions useful for SGML/XML/DSSSL development. 
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/sp/

Package: jade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: doc-base, sgml-data, sp
Description: James Clark's DSSSL Engine
 Jade is an implementation of the DSSSL style language.
 .
 The jade engine is a useful tool (in conjunction with a DSSSL style 
 sheet) for translating SGML documents into other formats.  Jade can 
 currently generate SGML, RTF, and TeX.  In conjunction with the "jadetex"
 TeX style, it can generate quite nice output.
 .
  Author:   James Clark <jjc@jclark.com>
  Homepage: http://www.jclark.com/jade/
